<!-- LMML 1.1 Conceptual Model Module ............................................. -->
<!-- file: LMML11-cmodel-10.mod ............................................. -->
<!--
    This is the modular Learning Material Markup Language, an implementation
    of the XML binding of the teachware-specific meta-model described in
    Christian Suess, Adaptive Knowledge Management: A Meta-Modeling
    Approach and its Binding to XML". In: Proceedings 11. Workshop Grundlagen
    von Datenbanken, Arbeitskreis Grundlagen von Informationssystemen im
    GI-Fachausschuss 2.5, Ploen, Germany, 2000,
    http://daisy.fmi.uni-passau.de/db/literatur.php3?key=S00

    This is a module file corresponding to the modularization mechanism as
    defined in "Building XHTML Modules",  W3C Working Draft 5 January 2000 ,
    http://www.w3.org/TR/2000/WD-xhtml-building-20000105

    Please use this formal public identifier to identify it:
        "-//DE.UNI-PASSAU.DAISY//ENTITIES LMML 1.1 Conceptual Model 1.0//EN"
    Please use this formal system identifier to identify it:
        "LMML11-cmodel-10.mod"

    Author:         Christian Suess <suess@fmi.uni-passau.de>
    Date:           Wednesday 12-Apr-2000   
    Last Changes:   Wednesday 12-Oct-2000

    This is SUBJECT TO CHANGE, pending final approval.
    Please send your questions, bug reports, comments, or
    suggestions for changes to suess@fmi.uni-passau.de
-->
<!--
    Conceptual Model

    This module replaces the LMML 1.0 Conceptual Model module and the LMML 1.0 Structure
    Modul. It implements the XML Binding of the structure of teachware formaly known as LMSML
    and describes the groupings of elements that make up common content models for LMML formaly
    known as LMCML.

    Conceptual units elements now are replaced by sections having corresponding type attributes,
    e.g. a <courseUnit> now is replaced by a <section type="course">.

    LMML has four basic content models:

    %Inline.class;            		   character-level elements
    %Incontentobject.class;    block-like elements within ContentObjects
    %Contentobject.class;      block-like elements ContentObjects

-->
<!--
 _______________________________________________________________________
|                                                   
|   Copyright 1999-2000 Christian Suess, University of Passau, Germany       
|   
|   All rights reserved.
|                                   
|   Permission to use, copy, modify, and distribute this document for
|   any purposes and without fee is hereby granted in perpetuity,
|   provided that the above copyright notice and this permission notice
|   appear in all copies of this document. 
|                                   
|   WE PROVIDE THIS DOCUMENT TO USER "AS IS."  WE DISCLAIM ALL  
|   WARRANTIES, EXPRESS OR IMPLIED, WITH RESPECT TO THIS DOCUMENT,  
|   INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A   
|   PARTICULAR PURPOSE.  IN NO EVENT SHALL WE BE LIABLE FOR ANY 
|   DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,    
|   OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA, OR  
|   PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE, OR OTHER 
|   TORTUOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OF    
|   THIS DOCUMENT.
|
|   If you modify the LMML modules and drivers in any way, label your DTDs
|   as a variant of LMML.
|_______________________________________________________________________
-->
<!--================ imported entities ===============================-->
<!-- from module LMML11-datatypes-10.mod -->
<!ENTITY % URI.datatype "">
<!-- from module LMML11-framework-10.mod -->
<!ELEMENT dummycmodel (#PCDATA)>
<!ENTITY % Incontentobject.class "dummycmodel">
<!-- from module LMML11-metadata-10.mod -->
<!ENTITY % Audience.attrib "">
<!ENTITY % Moduleproperties.attrib "">
<!-- from the driver file, e.g. LMML-CS.dtd or LMML-FP.dtd-->
<!ENTITY % LMML.version "">
<!ENTITY % LMML.ns "">
<!--================ content modules ==================================-->
<!ENTITY % Contentobject.extra "">
<!ENTITY % Contentobject.class "| motivation | conclusion | definition | paragraph | remark | example | exercise | illustration %Contentobject.extra;">
<!ELEMENT motivation (%Incontentobject.class;)*>
<!ATTLIST motivation
	%Moduleproperties.attrib; 
>
<!ELEMENT conclusion (%Incontentobject.class;)*>
<!ATTLIST conclusion
	%Moduleproperties.attrib; 
>
<!ELEMENT definition (%Incontentobject.class;)*>
<!ATTLIST definition
	%Moduleproperties.attrib; 
>
<!ELEMENT paragraph (%Incontentobject.class;)*>
<!ATTLIST paragraph
	%Moduleproperties.attrib; 
>
<!-- Teaching and coaching remarks. For footnotes use Inlineobject annotated -->
<!ELEMENT remark (%Incontentobject.class;)*>
<!ATTLIST remark
	%Moduleproperties.attrib; 
	%Audience.attrib; 
>
<!ELEMENT example (%Incontentobject.class;)*>
<!ATTLIST example
	%Moduleproperties.attrib; 
>
<!ELEMENT exercise (%Incontentobject.class; | (task, solution?))*>
<!ATTLIST exercise
	%Moduleproperties.attrib; 
>
<!ELEMENT task (%Incontentobject.class;)*>
<!ELEMENT solution (%Incontentobject.class;)*>
<!ELEMENT illustration (%Incontentobject.class;)*>
<!ATTLIST illustration
	%Moduleproperties.attrib; 
>
<!ENTITY % Bibitem.content "(#PCDATA)">
<!ELEMENT bibItem %Bibitem.content;>
<!ATTLIST bibItem
	bibKey ID #REQUIRED
>
<!-- =============== structure modules =====================================-->
<!ENTITY % Structuremodule.class "section | collection | glossary | bibliography">
<!-- At least sections and collections have some additional attributes ..........-->
<!ENTITY % Structuremodule.attrib "strategy (beh | con)  #IMPLIED
    type (course | exercise | coaching | example) #IMPLIED
">
<!-- additional attrib: sort order (by title, by author etc.) -->
<!--================ behaviouristic StructureModules ===================================-->
<!--================ StructureModule Section ===================================-->
<!ENTITY % Section.content.extra "">
<!ENTITY % Section.content "%Structuremodule.class; %Contentobject.class; %Section.content.extra;">
<!ELEMENT section (%Section.content;)*>
<!ATTLIST section
	%Structuremodule.attrib; 
	%Moduleproperties.attrib; 
>
<!--================ constructivistic StructureModules ===================================-->
<!--================ structure module collection ===================================-->
<!ENTITY % Collection.content.extra "">
<!ENTITY % Collection.content "%Structuremodule.class; %Contentobject.class; %Collection.content.extra;">
<!ELEMENT collection (%Collection.content;)*>
<!ATTLIST collection
	%Structuremodule.attrib; 
	%Moduleproperties.attrib; 
>
<!--================ structure module glossary ===================================-->
<!ENTITY % Glossary.content.extra "">
<!ENTITY % Glossary.content "definition %Glossary.content.extra;">
<!ELEMENT glossary (%Glossary.content;)*>
<!ATTLIST glossary
	%Moduleproperties.attrib; 
>
<!--================ structure module bibliography ===================================-->
<!ENTITY % Bibliography.content.extra "">
<!ENTITY % Bibliography.content "bibItem %Bibliography.content.extra;">
<!ELEMENT bibliography (%Bibliography.content;)*>
<!ATTLIST bibliography
	%Moduleproperties.attrib; 
>
<!--================ document element  =================================-->
<!ENTITY % LMML.content "%Structuremodule.class; %Contentobject.class;">
<!ELEMENT lmml (%LMML.content;)>
<!ENTITY % LMML.version.attrib "version      CDATA     #FIXED '%LMML.version;'">
<!ATTLIST lmml
	%LMML.version.attrib; 
>
<!-- end of LMML11-cmodel-10.mod -->
